{{define "profile"}}
<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>WPlay (v0.4.7 alpha)</title>
    <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/node-waves/0.7.5/waves.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/notie/4.3.1/notie.min.css">
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.15/css/dataTables.material.min.css">
    <link rel="stylesheet" href="css/libs/font-awesome.min.css">
    <link rel="stylesheet" href="css/libs/material.min.css">
    <link rel="stylesheet" href="css/libs/materialPreloader.min.css">
    <link rel="stylesheet" href="css/profile.css">
    <noscript><div><img src="https://mc.yandex.ru/watch/45602721" style="position:absolute; left:-9999px;" alt="" /></div></noscript>
</head>
<body>
<div id="init-orgset_patronymics">{{.OrgSettings.Patronymics}}</div>
<div class="fc-modal">
    <div class="mdl-card mdl-shadow--6dp">
        <div class="mdl-card__title mdl-card--border">
            <div class="mdl-card__title-text">Настройки</div>
        </div>
        <div class="mdl-card__body user-select--none fc-avatar">
            <div class="fc-imageBox">
                <div class="fc-imageBox__thumbBox"></div>
                <div class="fc-imageBox__spinner" style="display: none">Загрузка...</div>
            </div>
            <div class="fc-avatar__crop-settings">
                <button class="fc-avatar__crop--inc mdl-button mdl-button--primary mdl-button--icon mdl-js-button mdl-js-ripple-effect" >
                        <i class="material-icons">zoom_in</i>
                </button>
                <button class="fc-avatar__crop--dec mdl-button mdl-button--primary mdl-button--icon mdl-js-button mdl-js-ripple-effect" >
                        <i class="material-icons">zoom_out</i>
                </button>
                <button class="fc-avatar__save mdl-button mdl-button--primary mdl-button--icon mdl-js-button mdl-js-ripple-effect" >
                        <i class="material-icons">save</i>
                </button>
            </div>
        </div>
        <div class="mdl-card__body">
            <div class="mdl-card__body-row">
                <div class="mdl-card__body-row-icon">
                        Сменить аватар:
                </div>
            </div>
            <div class="mdl-card__body-row">
                <div class="mdl-card__body-row-text">
                    <input id="fc-avatar__file--new" type="file" accept=".png, .jpg, .jpeg"/>
                </div>
            </div>
        </div>
        <div class="mdl-card__body fc-password">
            <div class="mdl-card__body-row">
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                    <input class="mdl-textfield__input" type="password" id="fc-password_old">
                    <label class="mdl-textfield__label" for="fc-password_old">Текущий пароль...</label>
                </div>
            </div>
            <div class="mdl-card__body-row">
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                    <input class="mdl-textfield__input" type="password" id="fc-password_new">
                    <label class="mdl-textfield__label" for="fc-password_new">Новый пароль...</label>
                </div>
            </div>
            <div class="mdl-card__body-row">
                <div class="mdl-textfield mdl-js-textfield mdl-textfield--floating-label">
                    <input class="mdl-textfield__input" type="password" id="fc-password_new_repeated">
                    <label class="mdl-textfield__label" for="fc-password_new_repeated">Повторите пароль...</label>
                </div>
            </div>
        </div>
        <div class="mdl-card__actions mdl-card--border">
            <button class="fc-password__save mdl-button mdl-button--raised mdl-button--primary mdl-js-button mdl-js-ripple-effect" >
                    Сменить пароль
            </button>
        </div>
        <div class="mdl-card__menu">
            <button class="mdl-button mdl-button--primary mdl-button--icon mdl-js-button mdl-js-ripple-effect mdl-modal__button--close" >
                <i class="material-icons">close</i>
            </button>
        </div>
    </div>
</div>
<div class="mdl-layout mdl-js-layout mdl-layout--fixed-header">
    <header class="mdl-layout__header">
        <div class="mdl-layout__header-row">
            <span class="mdl-layout-title">{{.RequestData.Surname | toTitleCase}} {{.RequestData.Name | toTitleCase}}</span>
        </div>
    </header>
    <div class="mdl-layout__drawer">
        <span class="mdl-layout-title">профиль</span>
        <nav class="mdl-navigation">
            <a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info">главная</a>
            <a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/profile">профиль</a>
            {{if .IsAdmin}}<a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/orgset">управление</a>{{end}}
            {{if .IsEmployee}}<a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/marks">баллы</a>{{end}}
            <a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/general">статистика</a>
            <a class="mdl-navigation__link wave-effect" href="https://demo.wplay.nullteam.info/exit">выйти</a>
        </nav>
    </div>
    <main class="mdl-layout__content">
        <div class="page-content mdl-grid mdl-cell--top">
            <div class="mdl-grid mdl-cell mdl-cell--top mdl-cell--3-col-desktop mdl-cell--8-col-tablet mdl-cell--4-col-phone">
                <div class="mdl-cell mdl-cell--12-col">
                    <div class="mdl-card mdl-shadow--6dp">
                        <div class="mdl-card__title mdl-card--border mdl-card__title--photo">
                            <img src="images/{{.RequestData.Avatar}}" width="180px" height="180px"
                                 class="mdl-card__title-photo--round"/>
                            {{if not .IsRequestEmployee}}
                            {{if .IsEmployee}}
                            {{range $i, $emotionalMark := .RequestData.AdditionalData.EmotionalMarks}}
                            {{if eq $i 0}}
                            {{if eq $emotionalMark.EventData.Value 1}}
                            <span class="material-icons mdl-card__title-photo-emotional_mark
                             emotional_mark--very_dissatisfied">mood_bad</span>
                            {{end}}
                            {{if eq $emotionalMark.EventData.Value 2}}
                            <span class="material-icons mdl-card__title-photo-emotional_mark
                             emotional_mark--dissatisfied">sentiment_dissatisfied</span>
                            {{end}}
                            {{if eq $emotionalMark.EventData.Value 3}}
                            <span class="material-icons mdl-card__title-photo-emotional_mark
                             emotional_mark--neutral">sentiment_neutral</span>
                            {{end}}
                            {{if eq $emotionalMark.EventData.Value 4}}
                            <span class="material-icons mdl-card__title-photo-emotional_mark
                             emotional_mark--satisfied">sentiment_satisfied</span>
                            {{end}}
                            {{if eq $emotionalMark.EventData.Value 5}}
                            <span class="material-icons mdl-card__title-photo-emotional_mark
                             emotional_mark--very_satisfied">mood</span>
                            {{end}}
                            {{end}}
                            {{end}}
                            {{end}}
                            {{end}}
                        </div>
                        {{if .IsOwner}}
                        <div class="mdl-card__body">
                            <button class="mdl-button mdl-js-button mdl-button--raised mdl-js-ripple-effect mdl-button--primary
                            mdl-button--modal">
                                настройки
                            </button>
                        </div>
                        {{end}}
                    </div>
                </div>
                {{if .IsOwner}}
                {{if not .IsRequestEmployee}}
                {{$emotionalMarksLength := len .RequestData.AdditionalData.EmotionalMarks}}
                {{if eq $emotionalMarksLength 0 }}
                <div class="mdl-cell mdl-cell--12-col">
                    <div class="mdl-card mdl-shadow--6dp width100" id="card-emotional_mark">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">
                                Какое у тебя настроение?
                            </div>
                        </div>
                        <div class="mdl-card__body">
                            <div class="mdl-card__body-row mdl-card__body-row--32px">
                                <span class="material-icons mdl-card__body-row-emotional_mark
                                emotional_mark--very_dissatisfied" data-content="1">mood_bad</span>
                                <span class="material-icons mdl-card__body-row-emotional_mark
                                emotional_mark--dissatisfied" data-content="2">sentiment_dissatisfied</span>
                                <span class="material-icons mdl-card__body-row-emotional_mark
                                emotional_mark--neutral" data-content="3">sentiment_neutral</span>
                                <span class="material-icons mdl-card__body-row-emotional_mark
                                emotional_mark--satisfied" data-content="4">sentiment_satisfied</span>
                                <span class="material-icons mdl-card__body-row-emotional_mark
                                emotional_mark--very_satisfied" data-content="5">mood</span>
                            </div>
                        </div>
                    </div>
                </div>
                {{else}}
                {{range $i, $emotionalMark := .RequestData.AdditionalData.EmotionalMarks}}
                {{if eq $i 0}}
                {{if not $emotionalMark.EventData.IsNew}}
                <div class="mdl-cell mdl-cell--12-col">
                    <div class="mdl-card mdl-shadow--6dp width100" id="card-emotional_mark">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">
                                Какое у тебя настроение?
                            </div>
                        </div>
                        <div class="mdl-card__body">
                            <div class="mdl-card__body-row mdl-card__body-row--32px">
                                <span class="material-icons mdl-card__body-row-emotional_mark
                                emotional_mark--very_dissatisfied" data-content="1">mood_bad</span>
                                <span class="material-icons mdl-card__body-row-emotional_mark
                                emotional_mark--dissatisfied" data-content="2">sentiment_dissatisfied</span>
                                <span class="material-icons mdl-card__body-row-emotional_mark
                                emotional_mark--neutral" data-content="3">sentiment_neutral</span>
                                <span class="material-icons mdl-card__body-row-emotional_mark
                                emotional_mark--satisfied" data-content="4">sentiment_satisfied</span>
                                <span class="material-icons mdl-card__body-row-emotional_mark
                                emotional_mark--very_satisfied" data-content="5">mood</span>
                            </div>
                        </div>
                    </div>
                </div>
                {{end}}
                {{end}}
                {{end}}
                {{end}}
                {{end}}
                {{end}}
                <div class="mdl-cell mdl-cell--12-col">
                    <div class="mdl-card mdl-shadow--6dp">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">
                                Данные
                            </div>
                        </div>
                        <div class="mdl-card__body">
                            <div class="mdl-card__body-row mdl-card__body-row--16px mdl-card__body-row--table">
                                <div class="mdl-card__body-row-text">
                                    <span class="mdl-card__body-row-text--bold">Фамилия:</span>
                                </div>
                                <div class="mdl-card__body-row-text">
                                    <span>{{.RequestData.Surname | toTitleCase}}</span>
                                </div>
                            </div>
                            <div class="mdl-card__body-row mdl-card__body-row--16px mdl-card__body-row--table">
                                <div class="mdl-card__body-row-text">
                                    <span class="mdl-card__body-row-text--bold">Имя:</span>
                                </div>
                                <div class="mdl-card__body-row-text">
                                    <span>{{.RequestData.Name | toTitleCase}}</span>
                                </div>
                            </div>
                            {{if eq .OrgSettings.Patronymics "true"}}
                            <div class="mdl-card__body-row mdl-card__body-row--16px mdl-card__body-row--table">
                                <div class="mdl-card__body-row-text">
                                    <span class="mdl-card__body-row-text--bold">Отчество:</span>
                                </div>
                                <div class="mdl-card__body-row-text">
                                    <span>{{.RequestData.Middlename | toTitleCase}}</span>
                                </div>
                            </div>
                            {{end}}
                            <div class="mdl-card__body-row mdl-card__body-row--16px mdl-card__body-row--table">
                                <div class="mdl-card__body-row-text">
                                    <span class="mdl-card__body-row-text--bold">{{.OrgSettings.Team | toTitleCase}}:</span>
                                </div>
                                <div class="mdl-card__body-row-text">
                                    <span>{{.RequestData.Team.Name}}</span>
                                </div>
                            </div>
                            <div class="mdl-card__body-row mdl-card__body-row--16px mdl-card__body-row--table">
                                <div class="mdl-card__body-row-text">
                                    <span class="mdl-card__body-row-text--bold">Должность:</span>
                                </div>
                                <div class="mdl-card__body-row-text">
                                    <span>{{.RequestData.Post | toTitleCase}}</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                {{if not .IsRequestEmployee}}
                <div class="mdl-cell mdl-cell--12-col">
                    <div class="mdl-card mdl-shadow--6dp width100">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">Баллы</div>
                        </div>
                        <div class="mdl-card__body">
                            {{range $mark := .RequestData.AdditionalData.Marks}}
                            <div class="mdl-card__body-row mdl-card__body-row--table mdl-card__body-row--16px">
                                <div class="mdl-card__body-row-text">
                                    <span>{{$mark.Name | toTitleCase}}</span>
                                </div>
                                <div class="mdl-card__body-row-text">
                                    {{if $mark.Value | isNegative}}
                                    <span class="mdl-card__body-row-text--negative">{{$mark.Value}}</span>
                                    {{else}}
                                    <span class="mdl-card__body-row-text--positive">{{$mark.Value}}</span>
                                    {{end}}
                                </div>
                            </div>
                            {{end}}
                        </div>
                    </div>
                </div>
                {{end}}
            </div>
            <div class="mdl-grid mdl-cell mdl-cell--top mdl-cell--9-col-desktop mdl-cell--8-col-tablet mdl-cell--4-col-phone">
                {{if not .IsRequestEmployee}}
                <div class="mdl-cell mdl-cell--12-col">
                    <div class="mdl-card mdl-shadow--6dp width100">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">
                                Изменение балла
                            </div>
                        </div>
                        <div class="mdl-card__body">
                            <canvas id="marks_changes-chart--line" height="187px"></canvas>
                        </div>
                    </div>
                </div>
                {{end}}
                <div class="mdl-cell mdl-cell--12-col">
                    <div class="mdl-card mdl-shadow--6dp width100">
                        <div class="mdl-card__title mdl-card--border">
                            <div class="mdl-card__title-text">
                                Активность
                            </div>
                        </div>
                        <div class="mdl-card__body">
                            {{range .RequestData.Events}}
                            {{if not $.IsRequestEmployee}}
                            {{if eq .Type 1}}
                            <div class="mdl-card__body-row mdl-card__body-row--table mdl-card__body-row--16px">
                                <div class="mdl-card__body-row-text">
                                    {{if isNegative .EventData.Change}}
                                    <span class="mdl-card__body-row-text--negative">{{.EventData.Change}}</span>
                                    {{else}}
                                    <span class="mdl-card__body-row-text--positive mdl-card__body-row-text--positive--plus">
                                        {{.EventData.Change}}</span>
                                    {{end}}
                                    <span>{{.EventData.Text | toTitleCase}}</span>
                                </div>
                                <div class="mdl-card__body-row-text">
                                    <span>{{.Time | timestampToDate}}</span>
                                </div>
                            </div>
                            {{end}}
                            {{else}}
                            {{if eq .Type 1}}
                            <div class="mdl-card__body-row mdl-card__body-row--table mdl-card__body-row--16px">
                                <div class="mdl-card__body-row-text">
                                    {{if eq $.RequestData.Sex 0}}
                                    <span>Изменил балл</span>
                                    {{else}}
                                    <span>Изменила балл </span>
                                    {{end}}
                                    <a href="https://demo.wplay.nullteam.info/profile?id={{.EventData.Participant.ID}}">
                                        {{.EventData.Participant.Surname | toTitleCase}}
                                        {{.EventData.Participant.Name | toTitleCase}}
                                        {{.EventData.Participant.Middlename | toTitleCase}}</a> на
                                    {{if isNegative .EventData.Change}}
                                    <span class="mdl-card__body-row-text--negative">{{.EventData.Change}}</span>
                                    {{else}}
                                    <span class="mdl-card__body-row-text--positive">{{.EventData.Change}}</span>
                                    {{end}}
                                    по причине "{{.EventData.Text | toTitleCase}}"
                                </div>
                                <div class="mdl-card__body-row-text">
                                    {{.Time | timestampToDate}}
                                </div>
                            </div>
                            {{end}}
                            {{end}}
                            {{end}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</div>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.6.0/Chart.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/notie/4.3.1/notie.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jquery-cookie/1.4.1/jquery.cookie.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/node-waves/0.7.5/waves.js"></script>
<script type="text/javascript" src="scripts/libs/cropbox.min.js"></script>
<script type="text/javascript" src="scripts/libs/materialPreloader.min.js"></script>
<script type="text/javascript" src="scripts/libs/datatables.min.js"></script>
<script type="text/javascript" src="scripts/libs/datatables.material.min.js"></script>
<script type="text/javascript" src="scripts/libs/material.min.js"></script>
<script type="text/javascript" src="scripts/libs/wave_effect.js"></script>
<script type="text/javascript" src="scripts/metrica.js"></script>
<script type="text/javascript" src="scripts/links.js"></script>
<script type="text/javascript" src="scripts/main.js"></script>
<script type="text/javascript" src="scripts/profile.js"></script>
{{if .IsOwner}}
<script type="text/javascript" src="scripts/profile_settings.js"></script>
{{end}}
{{if not .IsRequestEmployee}}
<script type="text/javascript" src="scripts/profile_participant.js"></script>
{{end}}
</body>
</html>
{{end}}
